Check customer payment token state

When you create a card, you need to wait until the card holder completes 3ds validation and you can call the Check API to check the validation status.

Check customer payment token state

POST /svc/payment/api/v1/openapi/customers/uuid/payment_tokens/check

When you create a card, you need to wait until the card holder completes 3ds validation and you can call the Check API to check the validation status.

Request

  • application/json

Body

payment_token objectrequired

token string<uuid>required

card token

Example: 1b9d6bcd-bbfd-4b2d-9b5d-ab8dfbbd4bed

Responses

  • 200

Response Headers

  • application/json

  • Schema

  • Example (auto)

Schema

code numberrequired

message stringrequired

data objectrequired

payment_token objectrequired

token_type stringrequired

The token type

Possible values: [CreditCard, WechatPayAutoDebit, AlipayAutoDebit]

Example: CreditCard

token stringrequired

The token value

state stringrequired

default booleanrequired

If it's default token

error_code string

if bind card failed, will return the specific error code

error_msg string

if bind card failed, will return the specific error message

credit_card object

if token_type is CreditCard

number string

exp_month string

exp_year string

holder_name string

brand string

billing_currency string

{ "code": 0, "message": "string", "data": { "payment_token": { "token_type": "CreditCard", "token": "string", "state": "string", "default": true, "error_code": "string", "error_msg": "string", "credit_card": { "number": "string", "exp_month": "string", "exp_year": "string", "holder_name": "string", "brand": "string", "billing_currency": "string" } } } }
  • csharp

  • curl

  • dart

  • go

  • http

  • java

  • javascript

  • kotlin

  • c

  • nodejs

  • objective-c

  • ocaml

  • php

  • powershell

  • python

  • r

  • ruby

  • rust

  • shell

  • swift

  • HTTPCLIENT

  • RESTSHARP

var client = new HttpClient(); var request = new HttpRequestMessage(HttpMethod.Post, "https://developer.wonder.today/svc/payment/api/v1/openapi/customers/uuid/payment_tokens/check"); request.Headers.Add("Accept", "application/json"); var content = new StringContent("{\n \"payment_token\": {\n \"token\": \"1b9d6bcd-bbfd-4b2d-9b5d-ab8dfbbd4bed\"\n }\n}", null, "application/json"); request.Content = content; var response = await client.SendAsync(request); response.EnsureSuccessStatusCode(); Console.WriteLine(await response.Content.ReadAsStringAsync());

Request Collapse all

Body

{ "payment_token": { "token": "1b9d6bcd-bbfd-4b2d-9b5d-ab8dfbbd4bed" } }